Bug 260112 - security/p5-Crypt-JWT Update to 0.034
Summary: security/p5-Crypt-JWT Update to 0.034
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dries Michiels
URL: https://metacpan.org/dist/Crypt-JWT/c...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-29 11:33 UTC by Sergei Vyshenski
Modified: 2021-12-02 08:37 UTC (History)
1 user (show)

See Also:
driesm: merge-quarterly+


Attachments
"git diff" to update the port (903 bytes, patch)
2021-11-29 11:33 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-11-29 11:33:51 UTC
Created attachment 229787 [details]
"git diff" to update the port

- update 0.033 -> 0.034
Changes: https://metacpan.org/dist/Crypt-JWT/changes
- Use DISTVERSION instead of PORTVERSION

- "portlint -AC" is happy.
- "portclippy Makefile" is happy.
- "portfmt -D Makefile" is happy.
- Tested with:
13.0-RELEASE-p5
pkg 1.17.5
poudriere 3.3.7_1
perl 5.32.1_1
openssl 1.1.1k
ssl=base
- built-in perl tests in a clean poudriere jail say: PASS.
Comment 1 Dries Michiels freebsd_committer 2021-11-30 17:18:53 UTC
Take
Comment 2 commit-hook freebsd_committer 2021-12-01 13:45:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=552c9a7e733839fac305715b7dbde0b33f53933f

commit 552c9a7e733839fac305715b7dbde0b33f53933f
Author:     Sergei Vyshenski <svysh.fbsd@gmail.com>
AuthorDate: 2021-11-30 18:29:45 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-01 13:44:16 +0000

    security/p5-Crypt-JWT: Update to 0.034

    Ensure payload is serialized consistently (canonical).

    PR:                     260112
    Approved by:            philip (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33201

 security/p5-Crypt-JWT/Makefile | 2 +-
 security/p5-Crypt-JWT/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 3 Dries Michiels freebsd_committer 2021-12-01 13:46:39 UTC
Given this is a bug fix only release I'll MFH.
Comment 4 commit-hook freebsd_committer 2021-12-02 08:33:50 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9af3ecace1324c083f4d6e4c26e88a09d38adff3

commit 9af3ecace1324c083f4d6e4c26e88a09d38adff3
Author:     Sergei Vyshenski <svysh.fbsd@gmail.com>
AuthorDate: 2021-11-30 18:29:45 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-02 08:32:12 +0000

    security/p5-Crypt-JWT: Update to 0.034

    Ensure payload is serialized consistently (canonical).

    PR:                     260112
    Approved by:            philip (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33201

    (cherry picked from commit 552c9a7e733839fac305715b7dbde0b33f53933f)

 security/p5-Crypt-JWT/Makefile | 2 +-
 security/p5-Crypt-JWT/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Dries Michiels freebsd_committer 2021-12-02 08:37:34 UTC
Committed, thanks for the patch!